/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: elem.hpp,v 1.9 2014/01/10 19:22:09 fclement Exp $ */

#include<iostream>
#include<vector>

#ifndef _ELEM_H
#define _ELEM_H


using namespace std;

class ElemError{};


template<class dataType> class Elem{
  bool _is;
  vector<dataType> _data;
public:
  Elem(const dataType& x):_data(1,x){
    _is = true;
  }
  Elem():_data(0){_is=false;}
  bool is(){return _is;}
  void data(dataType x){
    if(_is) _data[0]=x;
    else{std::cerr<<"error: try to modify data of a void Elem"<<std::endl;ElemError t;throw t;}
  }
  dataType & data(){
    if(_is && _data.size() == 1) return _data[0];
    else{std::cerr<<"error: try to return data of a void Elem"<<std::endl;ElemError t;throw t;}
  }
  const dataType & data() const{
    if(_is && _data.size() == 1) return _data[0];
    else{std::cerr<<"error: try to return data of a void Elem"<<std::endl;ElemError t;throw t;}
  }
  void Some(){_is=true;_data.resize(1);}
  void None(){_is=false;_data.resize(0);}
  virtual ~Elem(){}
};

#endif
