/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: wait.cpp,v 1.9 2014/01/10 19:22:09 fclement Exp $ */

#include "wait.hpp"
using namespace std;

void wait_input(char* filename){
  ifstream* ifs;
  bool wait=true;
  while(wait){
    ifs=new ifstream(filename);
    if(ifs->get()>=0) wait=false;
    ifs->close();
  }
}

void wait_signal(char* filename){
  ifstream* ifs;
  bool wait=true;
  while(wait){
    string state;
    ifs=new ifstream(filename);
    *ifs>>state;
    if(state=="ready") wait = false;
    ifs->close();
  }
}

void send_signal(char* filename){
  ofstream os(filename);
  os<<"ready"<<endl;
  os.close();
}
void remove_signal(char* filename){
  ofstream os(filename);
  os<<"not_ready"<<endl;
  os.close();
}

void wait_input(string filename){wait_input(filename.c_str());}
void wait_signal(string filename){wait_signal(filename.c_str());}
void send_signal(string filename){send_signal(filename.c_str());}
void remove_signal(string filename){remove_signal(filename.c_str());}
