(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(*  This example is based on an example designed for OCamlP3l.         *)
(*                                                                     *)
(***********************************************************************)

(* $Id: my_data.mli,v 1.11 2014/01/21 09:21:18 fclement Exp $ *)

open Rdec2;;

type my_subdomain = {
  bd : boundary;
  err : float * float
};;

val get_bds : my_subdomain array -> boundary array;;
val get_errs : my_subdomain array -> (float * float) array;;
(** Extraction functions. *)

val set_bds : boundary array -> my_subdomain array -> unit;;
(** Insertion function. *)
