(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Is: Exp $ *)

let string_sort s =
  let a = Array.init (String.length s) (fun i -> s.[i]) in
  Array.sort compare a;
  Array.iteri (fun i c -> s.[i] <- c) a;
  s
;;

let main () = 
  let ib = Scanf.Scanning.stdin in
  let ob = Buffer.create 255 in
  while not (Scanf.Scanning.end_of_input ib) do
    Scanf.bscanf ib "%[^\n]" (Buffer.add_string ob);
    Scanf.bscanf ib "%[\n]" (Buffer.add_string ob);
  done;
  Printf.printf "%s" (string_sort (Buffer.contents ob));
  Buffer.clear ob;
  exit 0
;;

main ();;
