(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: parser_char.mli,v 1.5 2014/01/21 09:21:18 fclement Exp $ *)

val implode : char list -> string;;

val pchar : char -> (string, char) Parser.parser;;
val pchar_ign : char -> (string, unit) Parser.parser;;
val pclass : char list -> (string, char) Parser.parser;;
val pnchar : char -> (string, char) Parser.parser;;
val pword : string -> (string, unit) Parser.parser;;
val pspaces : (string, unit) Parser.parser;;
val pspaced : (string, 'a) Parser.parser -> (string, 'a) Parser.parser;;
val pint : (string, int) Parser.parser;;
val pfloat : (string, float) Parser.parser;;
