(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: tridiag.mli,v 1.5 2014/01/21 09:21:18 fclement Exp $ *)

type t = private float array * float array * float array;;
type pvect =
  | Top of float array * float
  | Mid of int * float * float array * float
  | Bot of float * float array
;;

val create : float array -> float array -> float array -> t;;
val pmult : t -> pvect -> float array;;
val mk_pvect : float array array -> pvect array;;
val split_vect : int -> 'a array -> 'a array array;;
