(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: darray.mli,v 1.10 2014/01/21 09:21:15 fclement Exp $ *)

exception Out_of_memory

type increase_mode_t =
    | Add of int
    | Double

module type CONTROL =
  sig
    val min_size : int
    val increase_mode : increase_mode_t
  end

module type S =
  sig
    type 'a t
    val create : int -> 'a t
    val length : 'a t -> int
    val append : 'a t -> 'a -> int
    val get : 'a t -> int -> 'a
    val set : 'a t -> int -> 'a -> unit
    val fold_left : ('a -> 'b -> 'a) -> 'a -> 'b t -> 'a
  end

module Make(C : CONTROL) : S

module A : S
