(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: config.ml,v 1.15 2014/01/21 09:21:17 fclement Exp $ *)

let mk_option name default =
  let value = ref None in
  (fun () -> match !value with None -> default | Some o -> o),
  (fun o ->
    match !value with
    | None -> value := Some o
    | Some _ -> failwith ("Option " ^ name ^ " already set"))
;;

let (get_conf_file, set_conf_file) = mk_option "conf" None;;
let (get_timeout, set_timeout) = mk_option "timeout" 10;;
let (get_slave_port, set_slave_port) = mk_option "slave-port" 4010;;
let (get_skl_port, set_skl_port) = mk_option "skl-port" 4000;;
let (get_err_length, set_err_length) = mk_option "err-length" 100;;
let (get_daemon_path, set_daemon_path) = mk_option "daemon-path" "sklmlpard";;

let (get_warn_error, set_warn_error) =
  let we = ref false in
  (fun () -> !we),
  (fun () -> we := true)
;;

let (get_debug, set_debug) =
  let d = ref false in
  (fun () -> !d),
  (fun () -> d := true)
;;
